import request from '@/utils/request'

// 查询消毒记录列表
export function listDisinfect(query) {
  return request({
    url: '/biosafety/disinfect/list',
    method: 'get',
    params: query
  })
}

// 查询消毒记录详细
export function getDisinfect(id) {
  return request({
    url: '/biosafety/disinfect/' + id,
    method: 'get'
  })
}

// 新增消毒记录
export function addDisinfect(data) {
  return request({
    url: '/biosafety/disinfect',
    method: 'post',
    data: data
  })
}

// 修改消毒记录
export function updateDisinfect(data) {
  return request({
    url: '/biosafety/disinfect',
    method: 'put',
    data: data
  })
}

// 删除消毒记录
export function delDisinfect(id) {
  return request({
    url: '/biosafety/disinfect/' + id,
    method: 'delete'
  })
}
